> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# RWA Issuer Data by ID

> To query the market data (market cap, volume, etc.) and tokens of an issuer based on a particular issuer ID

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* Find an issuer's API ID via [RWA Issuers List](/reference/rwas-issuers-list).
* Each `tokens.id` is also a coin ID. Use it with [Coin Data by ID](/reference/coins-id) to query the individual token.

<Note>
  `market_cap`, `market_cap_change_24h`, and `volume_24h` are aggregated across the tokens issued by this issuer. All values are in USD.
</Note>

<CacheInfo rate="60 seconds" />


## OpenAPI

````yaml openapi-specs/pro-api.json get /rwas/issuers/{id}
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /rwas/issuers/{id}:
    get:
      summary: RWA Issuer Data by ID
      description: >-
        To query the market data (market cap, volume, etc.) and tokens of an
        issuer based on a particular issuer ID
      operationId: rwas-issuers-id
      parameters:
        - name: id
          in: path
          required: true
          description: |-
            Issuer ID. 
            *refers to [`/rwas/issuers/list`](/reference/rwas-issuers-list)
          schema:
            type: string
            default: xstocks-ecosystem
      responses:
        '200':
          description: RWA issuer data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RwasIssuersID'
              example:
                id: xstocks-ecosystem
                name: xStocks
                market_cap: 752085126.6637836
                market_cap_change_24h: -79476493.49518394
                volume_24h: 240421573.38793087
                image:
                  thumb: >-
                    https://coin-images.coingecko.com/categories/images/20712/thumb/xstock_400x400.jpg?1777808932
                  small: >-
                    https://coin-images.coingecko.com/categories/images/20712/small/xstock_400x400.jpg?1777808932
                  large: >-
                    https://coin-images.coingecko.com/categories/images/20712/large/xstock_400x400.jpg?1777808932
                tokens:
                  - id: alphabet-xstock
                    symbol: googlx
                    name: Alphabet xStock
                    platforms:
                      arbitrum-one: '0xe92f673ca36c5e2efd2de7628f815f84807e803f'
                      ethereum: '0xe92f673ca36c5e2efd2de7628f815f84807e803f'
                      binance-smart-chain: '0xe92f673ca36c5e2efd2de7628f815f84807e803f'
                      solana: XsCPL9dNWBMvFtTmwcCA5v3xWPSMEBCszbQdiLLq6aN
                      the-open-network: EQALwJzXnxFjckNsurCi9O2kVg_0b1KdtjOSfvOedlY37iZc
                      mantle: '0xe92f673ca36c5e2efd2de7628f815f84807e803f'
                  - id: amazon-xstock
                    symbol: amznx
                    name: Amazon xStock
                    platforms:
                      arbitrum-one: '0x3557ba345b01efa20a1bddc61f573bfd87195081'
                      binance-smart-chain: '0x3557ba345b01efa20a1bddc61f573bfd87195081'
                      mantle: '0x3557ba345b01efa20a1bddc61f573bfd87195081'
                      ethereum: '0x3557ba345b01efa20a1bddc61f573bfd87195081'
                      solana: Xs3eBt7uRfJX8QUs4suhyU8p2M6DoUDrJyWBa8LLZsg
                      the-open-network: EQCtD2-7qxHhQoNhxri2JSzH-dlmWqKYCDtlEZqRi3-56gd9
                updated_at: '2026-09-10T03:00:00Z'
components:
  schemas:
    RwasIssuersID:
      type: object
      required:
        - id
        - name
        - market_cap
        - market_cap_change_24h
        - volume_24h
        - updated_at
      properties:
        id:
          type: string
          description: Issuer ID
        name:
          type: string
          description: Issuer name
        market_cap:
          type: number
          nullable: true
          description: Issuer market cap in USD
        market_cap_change_24h:
          type: number
          nullable: true
          description: 24-hour issuer market cap change in USD
        volume_24h:
          type: number
          nullable: true
          description: 24-hour issuer trading volume in USD
        image:
          type: object
          description: Issuer image URLs
          properties:
            thumb:
              type: string
              description: Thumbnail image URL
            small:
              type: string
              description: Small image URL
            large:
              type: string
              description: Large image URL
        tokens:
          type: array
          description: Tokens issued by this issuer
          items:
            type: object
            properties:
              id:
                type: string
                description: Token ID
              symbol:
                type: string
                description: Token symbol
              name:
                type: string
                description: Token name
              platforms:
                type: object
                description: Token asset platform and contract address
                additionalProperties:
                  type: string
        updated_at:
          type: string
          format: date-time
          description: Issuer last updated timestamp
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_pro_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````